Summary: utilities for the pvfs file system
Name: pvfs
Version: 1.5.1
Release: 1
Copyright: GPL
Group: System Environment/Base
Source: ftp://ftp.parl.clemson.edu/pub/pvfs/pvfs-%{version}.tgz
Source1: pvfs-%{version}-iod.rc
Source2: pvfs-%{version}-mgr.rc
Source3: pvfs-%{version}-iod.conf

BuildRoot: /var/tmp/%{name}-buildroot

%description
PVFS is a parallel file system for linux desinged to make use of the latent
disk space across a cluster.  

%prep
%setup -q

%build
configure --prefix=${RPM_BUILD_ROOT}/usr --enable-lfs
make

%install
rm -rf $RPM_BUILD_ROOT
make install
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
cp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/rc.d/init.d/iod
cp %{SOURCE2} ${RPM_BUILD_ROOT}/etc/rc.d/init.d/mgr
cp %{SOURCE3} ${RPM_BUILD_ROOT}/etc/iod.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NOTES
%config(noreplace) /etc/iod.conf

/usr/bin/*
/usr/include/*
/usr/lib/*
/usr/man/*
/usr/sbin/*
/etc/rc.d/init.d/*

%changelog
* Fri Apr 27 2001 Rob Latham <rlatham@plogic.com>
- upgraded for new version

* Mon Jan 22 2001 Rob Latham <rlatham@plogic.com>
- fixed the startup scripts, also added an /etc/iod.conf file, forgot to add
- the libraries to the filespec
* Wed Nov 15 2000 Rob Latham <rlatham@plogic.com>
- first rpmming of pvfs
